Bug 249183 - Openoffice should use the dejavu-fonts and not require dejavu-lgc-fonts
Summary: Openoffice should use the dejavu-fonts and not require dejavu-lgc-fonts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-22 09:58 UTC by Mark Knoop
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: F-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 10:43:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Knoop 2007-07-22 09:58:01 UTC
Description of problem:
Openoffice requires dejavu-lgc-fonts when dejavu-fonts are already installed and
two releases in front of the lgc package. Is there a reason for this?

Version-Release number of selected component (if applicable):
openoffice.org-core-2.2.0-14.11
dejavu-fonts-2.17-1.fc7
dejavu-lgc-fonts-2.15-1

Comment 1 Caolan McNamara 2007-07-23 10:43:41 UTC
It was to guarantee that suitable fonts with good coverage were installed to use
with OOo to avoid it picking up crap looking fonts. One or the other dejava
fonts had to be required, and that was the suggested best one at the time.

Anyhow, for F-8 we have liberation fonts and will be requiring those instead,
(yes they are in F-7 as well, but that was towards the end of the F-7
development cycle and landed too late to be required), so this is fixed in
rawhide by requiring neither of the dejavus and instead requiring the
ms-compatible liberation fonts.


Note You need to log in before you can comment on or make changes to this bug.